Package ru.bitel.bgbilling.plugins.helpdesk.common.bean

# Class HelpDeskConstants

java.lang.Object
ru.bitel.bgbilling.plugins.helpdesk.common.bean.HelpDeskConstants

public class HelpDeskConstants extends Object
Константы плагина helpdesk. Могут использоаться как на сервере так и на клинете

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COMM_EMAIL_ENABLE`
  `static final String`
  `COMM_EMAIL_VALUE`
  `static final String`
  `COMM_MAX_ENABLE`
  `static final String`
  `COMM_MAX_VALUE`
  `static final String`
  `COMM_MODE`
  `static final int`
  `COMM_MODE_VALUE_EMAIL`
  `static final int`
  `COMM_MODE_VALUE_MAX`
  `static final int`
  `COMM_MODE_VALUE_NO`
  `static final int`
  `COMM_MODE_VALUE_PHONE`
  `static final int`
  `COMM_MODE_VALUE_TELEGRAM`
  `static final String`
  `COMM_PHONE_ENABLE`
  `static final String`
  `COMM_PHONE_VALUE`
  `static final String`
  `COMM_TELEGRAM_ENABLE`
  `static final String`
  `COMM_TELEGRAM_VALUE`
  `static final String`
  `COMM_VALUE`
  `static final String`
  `CONTRACT_MODE_DEFAULT_NAME`
  `static final String`
  `CONTRACT_MODE_NAME`
  `static final String`
  `CONTRACT_MODE_VALUE_OFF`
  `static final String`
  `CONTRACT_MODE_VALUE_ON`
  `static final String`
  `CONTRACT_MODE_VALUE_PACKAGE`
  `static final String`
  `PREFIX_DEFAULT`
  `static final String`
  `PREFIX_TOPIC`
  `static final int`
  `RESERVE_STATUS_BLOCKED`
  Статус блокирования.
  `static final int`
  `RESERVE_STATUS_IN_WAIT`
  В режиме ожидания, то есть денег при установки суммы не было и при поступлении прихода будет произведена попытка перейти в статус блокирования.
  `static final int`
  `RESERVE_STATUS_NON_SET`
  Состояние не установленно.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HelpDeskConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONTRACT_MODE_NAME

    public static final String CONTRACT_MODE_NAME
    See Also:
      - Constant Field Values

  - ### CONTRACT_MODE_DEFAULT_NAME

    public static final String CONTRACT_MODE_DEFAULT_NAME
    See Also:
      - Constant Field Values

  - ### CONTRACT_MODE_VALUE_ON

    public static final String CONTRACT_MODE_VALUE_ON
    See Also:
      - Constant Field Values

  - ### CONTRACT_MODE_VALUE_OFF

    public static final String CONTRACT_MODE_VALUE_OFF
    See Also:
      - Constant Field Values

  - ### CONTRACT_MODE_VALUE_PACKAGE

    public static final String CONTRACT_MODE_VALUE_PACKAGE
    See Also:
      - Constant Field Values

  - ### PREFIX_TOPIC

    public static final String PREFIX_TOPIC
    See Also:
      - Constant Field Values

  - ### PREFIX_DEFAULT

    public static final String PREFIX_DEFAULT
    See Also:
      - Constant Field Values

  - ### COMM_VALUE

    public static final String COMM_VALUE
    See Also:
      - Constant Field Values

  - ### COMM_PHONE_ENABLE

    public static final String COMM_PHONE_ENABLE
    See Also:
      - Constant Field Values

  - ### COMM_EMAIL_ENABLE

    public static final String COMM_EMAIL_ENABLE
    See Also:
      - Constant Field Values

  - ### COMM_MAX_ENABLE

    public static final String COMM_MAX_ENABLE
    See Also:
      - Constant Field Values

  - ### COMM_TELEGRAM_ENABLE

    public static final String COMM_TELEGRAM_ENABLE
    See Also:
      - Constant Field Values

  - ### COMM_PHONE_VALUE

    public static final String COMM_PHONE_VALUE
    See Also:
      - Constant Field Values

  - ### COMM_EMAIL_VALUE

    public static final String COMM_EMAIL_VALUE
    See Also:
      - Constant Field Values

  - ### COMM_MAX_VALUE

    public static final String COMM_MAX_VALUE
    See Also:
      - Constant Field Values

  - ### COMM_TELEGRAM_VALUE

    public static final String COMM_TELEGRAM_VALUE
    See Also:
      - Constant Field Values

  - ### COMM_MODE

    public static final String COMM_MODE
    See Also:
      - Constant Field Values

  - ### COMM_MODE_VALUE_NO

    public static final int COMM_MODE_VALUE_NO
    See Also:
      - Constant Field Values

  - ### COMM_MODE_VALUE_PHONE

    public static final int COMM_MODE_VALUE_PHONE
    See Also:
      - Constant Field Values

  - ### COMM_MODE_VALUE_EMAIL

    public static final int COMM_MODE_VALUE_EMAIL
    See Also:
      - Constant Field Values

  - ### COMM_MODE_VALUE_MAX

    public static final int COMM_MODE_VALUE_MAX
    See Also:
      - Constant Field Values

  - ### COMM_MODE_VALUE_TELEGRAM

    public static final int COMM_MODE_VALUE_TELEGRAM
    See Also:
      - Constant Field Values

  - ### RESERVE_STATUS_NON_SET

    public static final int RESERVE_STATUS_NON_SET
    Состояние не установленно.
    See Also:
      - Constant Field Values

  - ### RESERVE_STATUS_IN_WAIT

    public static final int RESERVE_STATUS_IN_WAIT
    В режиме ожидания, то есть денег при установки суммы не было и при поступлении прихода будет произведена попытка перейти в статус блокирования.
    See Also:
      - Constant Field Values

  - ### RESERVE_STATUS_BLOCKED

    public static final int RESERVE_STATUS_BLOCKED
    Статус блокирования.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### HelpDeskConstants

    public HelpDeskConstants()